Bug 484949 - Applying Custom Errata fails on clients
Applying Custom Errata fails on clients
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.4
i386 Linux
low Severity high
: ---
: ---
Assigned To: Pradeep Kilambi
Jesus M. Rodriguez
https://www.redhat.com/archives/space...
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2009-02-10 15:15 EST by jzpian
Modified: 2009-09-17 03:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:10:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jzpian 2009-02-10 15:15:47 EST
Description of problem:

When pushing errata updates to clients, it fails. I have tested on the following client arch (RHEL 4, OEL 4, RHEL 5).


Version-Release number of selected component (if applicable):

0.4


How reproducible: Every time an attempt to apply an errata patch.


Steps to Reproduce:
1. Create errata, assign package.
2. Select Server to apply errata.
3.
  
Actual results:

Client Side - up2date_client.up2dateErrors.CommunicationError: Error communicating with server. The message was:
Internal Server Error

Server Side - When deploying custom erratas I get the following errors.

Exception reported from srlinuxpatch1.domaindomain.com
Time: Mon Feb  9 17:06:07 2009
Exception type exceptions.UnboundLocalError
Exception while handling function errata.getErrataInfo
Request object information:
URI: /XMLRPC
Remote Host: srredhattest2.domain.com
Server Name: srlinuxpatch1.domain.com:0
Headers passed in:
        Accept-Encoding: identity
        Content-Length: 2231
        Host: srlinuxpatch1.domain.com
        content-type: text/xml
        user-agent: rhn.rpclib.py/$Revision: 102540 $
        x-client-version: 1
        x-info: RPC Processor (C) Red Hat, Inc (version 102540)
        x-info: RPC Processor (C) Red Hat, Inc (version 102540)
Exception reported from srlinuxpatch1.domain.com
Time: Mon Feb  9 17:06:07 2009
Exception type exceptions.UnboundLocalError
Exception while handling function errata.getErrataInfo
Request object information:
URI: /XMLRPC
Remote Host: srredhattest2.domain.com
Server Name: srlinuxpatch1.domain.com:0
Headers passed in:
        Accept-Encoding: identity
        Content-Length: 2231
        Host: srlinuxpatch1.domaindomain.com
        content-type: text/xml
        user-agent: rhn.rpclib.py/$Revision: 102540 $
        x-client-version: 1
        x-info: RPC Processor (C) Red Hat, Inc (version 102540)
        x-rhn-client-capability: osad.ping(1)=1,packages.verifyAll(1)=1,packages.verify(1)=1,packages.extended_profile(1)=1,osad.rhn_check(1)=1,configfiles.base64_enc(1)=1,reboot.reb
oot(1)=1,configfiles.deploy(1)=1,caneatCheese(1)=1,packages.rollBack(1)=1,configfiles.mtime_upload(1)=1,configfiles.diff(1)=1,script.run(1)=1,configfiles.upload(1)=1,packages.runTran
saction(1)=1
        x-rhn-transport-capability: follow-redirects=2
        x-transport-info: Extended Capabilities Transport (C) Red Hat, Inc (version 102540)
        x-up2date-version: 0.4.16-1.el5

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheRequest.py", line 120, in call_function
    response = apply(func, params)
  File "/usr/share/rhn/server/handlers/xmlrpc/errata.py", line 192, in getErrataInfo
    if cap_info and cap_info['version'] > 1:
UnboundLocalError: local variable 'cap_info' referenced before assignment

Exception reported from srlinuxpatch1.domaindomain.com
Time: Mon Feb  9 23:54:03 2009
Exception type exceptions.UnboundLocalError
Exception while handling function errata.getErrataInfo
Request object information:
URI: /XMLRPC
Remote Host: srredhattest2.domain.com
Server Name: srlinuxpatch1.domain.com:0
Headers passed in:
        Accept-Encoding: identity
        Content-Length: 2231
        Host: srlinuxpatch1.domain.com
        content-type: text/xml
        user-agent: rhn.rpclib.py/$Revision: 102540 $
        x-client-version: 1
        x-info: RPC Processor (C) Red Hat, Inc (version 102540)
        x-rhn-client-capability: osad.ping(1)=1,packages.verifyAll(1)=1,packages.verify(1)=1,packages.extended_profile(1)=1,osad.rhn_check(1)=1,configfiles.base64_enc(1)=1,reboot.reb
oot(1)=1,configfiles.deploy(1)=1,caneatCheese(1)=1,packages.rollBack(1)=1,configfiles.mtime_upload(1)=1,configfiles.diff(1)=1,script.run(1)=1,configfiles.upload(1)=1,packages.runTran
saction(1)=1
        x-rhn-transport-capability: follow-redirects=2
        x-transport-info: Extended Capabilities Transport (C) Red Hat, Inc (version 102540)
        x-up2date-version: 0.4.16-1.el5

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheRequest.p
(END)


Expected results: A successful errata installation.


Additional info:
Comment 1 Pradeep Kilambi 2009-02-10 23:29:58 EST
fixed!

commit b0e709771a26bb4336682317cb364be5035bdbda

should be in the latest build.
Comment 2 Jesus M. Rodriguez 2009-04-14 10:12:50 EDT
Spacewalk 0.5 released.
Comment 3 Miroslav Suchý 2009-09-17 03:10:09 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.